> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/reference-material/api/query-string-parameters/exclude.md).

# Exclude

The following API entry points support the use of "**exclude**" as a query string parameter:

* GET /posts
* GET /posts/stats

This is an optional parameter. When added to the query string, it allows records with the following properties to be excluded from results:

* **ads** – excludes ads
* **replies** – excludes replies
* **posts** – excludes everything except ads

Each of these properties is  an array parameter which allows multiple options to be added to a list in the same request.

The syntax for using these parameters involves appending empty square braces to the parameter before assigning it to one of the desired options. This can be repeated for multiple options. In the following example, only posts that are neither ads nor replies are included in the list.

* GET /posts?exclude\[]=ads\&exclude\[]=replies


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junkipedia.org/reference-material/api/query-string-parameters/exclude.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
